import { desginLightRadius, scale } from './design'
import lightImage from '@/assets/RoundaboutImage/round.png'

// 绘制光圈
export function drawLight({ two, center }) {
  const lightArc = two.makeCircle(center.x, center.y, desginLightRadius);
  const lightTexture = two.makeTexture(lightImage);
  lightArc.noStroke();
  lightArc.fill = lightTexture;
  lightArc.opacity = 0; // 默认不显示
  lightArc.scale = scale;
  
  // 成功之后的特效
  let shakeTimes = 0;
  const shake = () => {
    if (shakeTimes >= 10) {
      return
    }

    const opStep = shakeTimes % 2 === 1 ? -0.04 : 0.04
    lightArc.opacity += opStep;
    if (lightArc.opacity >= 1 || lightArc.opacity <= 0) {
      shakeTimes += 1;
    }
  }

  return {
    start: () => {
      two.addEventListener('update', shake);
    },
    stop: () => {
      two.removeEventListener('update', shake);
      shakeTimes = 0;
      lightArc.opacity = 0;
    }
  }
}
