import Two from "two.js";
import { designPedestalWidth, designPedestalHeight, pedestalOffsetX, pedestalOffsetY, scale } from './design'
import pedestalImage from '@/assets/RoundaboutImage/2-14.png'
import ropeImage1 from '@/assets/RoundaboutImage/2-15.png'
import ropeImage2 from '@/assets/RoundaboutImage/2-16.png'
import ropeImage3 from '@/assets/RoundaboutImage/2-17.png'
import ropeImage4 from '@/assets/RoundaboutImage/2-18.png'
import ropeImage5 from '@/assets/RoundaboutImage/2-19.png'
import ropeImage6 from '@/assets/RoundaboutImage/2-20.png'
import ropeImage7 from '@/assets/RoundaboutImage/2-21.png'
import ropeImage8 from '@/assets/RoundaboutImage/2-22.png'
import ropeImage9 from '@/assets/RoundaboutImage/2-23.png'
const ropeImageList = [
  ropeImage1,
  ropeImage2,
  ropeImage3,
  ropeImage4,
  ropeImage5,
  ropeImage6,
  ropeImage7,
  ropeImage8,
  ropeImage9,
];

// 绘制底座
export function drawPedestal ({ two, center }) {
  const x = center.x + pedestalOffsetX * scale;
  const y = center.y + pedestalOffsetY * scale;
  //
  const pedestalTexture = two.makeTexture(pedestalImage);
  const pedestalBox = two.makeRectangle(x, y, designPedestalWidth, designPedestalHeight);
  pedestalBox.noStroke();
  pedestalBox.fill = pedestalTexture;
  pedestalBox.scale = scale;

  // 绘制底座上的绳子
  const ropeSequence = two.makeImageSequence(ropeImageList, x, y, 40); // 40 是不断调式出来的频率, 需要跟 speed 匹配
  ropeSequence.scale = new Two.Vector(scale, scale);

  return {
    position: pedestalBox.position,
    play: () => ropeSequence.play(),
    stop: () => ropeSequence.stop(),
  };
}
