import Two from "two.js";
import { scale, desginRadius } from './design'
import wheelImage from '@/assets/RoundaboutImage/2-09.png';

// 绘制摩天轮
export function drawWheel({ two, center, rotateSpeed, cages }) {
  const wheelArc = two.makeCircle(center.x, center.y, desginRadius);
  const wheelTexture = two.makeTexture(wheelImage);
  wheelArc.noStroke();
  wheelArc.fill = wheelTexture;
  wheelArc.scale = scale;

  // 实际半径
  const raduis = desginRadius * scale;
  // 每个轿厢在大轮盘所在圆的弧度
  const perAngle = Math.PI / cages.length;
  
  // 摩天轮与轿厢旋转
  let _count = 0;
  let rotateAngle = 0;
  const wheelRotate = (_, timeDelay) => {
    _count += 1;
    // rotateAngle += rotateSpeed
    rotateAngle += rotateSpeed * timeDelay / 1000
    wheelArc.rotation = rotateAngle
    cages.forEach(cage => {
      const angle = cage.__$angle + rotateAngle + perAngle / 2  // 除以2是为了视觉上轿厢与摩天轮的轴对齐
      const cx = center.x + Math.cos(angle) * raduis
      const cy = center.y + Math.sin(angle) * raduis
      cage.position = new Two.Vector(cx, cy)
      // 如果有对应的挂载物
      if (cage.__$mnt) {
        cage.__$mnt.position = cage.position
      }
    })
  }

  return {
    raduis,
    rotate: () => {
      console.log('----------START---------')
      two.addEventListener('update', wheelRotate)
      const t = setTimeout(() => {
        console.log('----------1 MINUTES---------', _count)
      }, 1000)
    },
    stop: () => two.removeEventListener('update', wheelRotate),
  }
}
