const { defineConfig } = require('@vue/cli-service')
const path = require('path');

module.exports = defineConfig({
  devServer: {
    proxy: {
      '/api': {
        target: "http://192.168.89.147:9000/",
        // ws: true,
        changeOrigin: true,
        // pathRewrite: {
        //   // 路径重写
        //   "/api": "" 
        // }
      },
    },
  },
  publicPath: '.',
  transpileDependencies: true,
  chainWebpack: (config) => {
    config.resolve.alias
      .set('@', path.join(__dirname, 'src'))
      .set('@/components', path.join(__dirname, 'src/components'))
      .set('@/pages', path.join(__dirname, 'src/pages'))
      .set('@/assets', path.join(__dirname, 'src/assets'))
      .set('@/utils', path.join(__dirname, 'src/utils'))
  },
})
